> ## Documentation Index
> Fetch the complete documentation index at: https://docs.generect.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Estimate number of companies

> Estimate the number of companies matching specific search criteria.

# Use Case:

Evaluate market size for strategic planning.


## OpenAPI

````yaml post /api/linkedin/companies/by_icp/get_count/
openapi: 3.0.3
info:
  title: Generect API
  description: >-
    Welcome to the Generect API documentation. Here we will help you integrate
    and use our API.


    API base url: `api.generect.com`  

    Protocol: `HTTPS`


    # Authentication


    Firstly, add a `API Token` to the enviroment variables `auth_token` in
    `Settings` tab.


    # Rate limits


    Credits: You can request data depending on your data plan and credit
    balance. The default is 10000/month. The estimated number of credits to
    spend is based on the complexity of the query and the number of results. The
    amount spent can be increased by additional data flags in the queries.


    # Note


    _Ensure that you are add a "/" to the end of url._
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.generect.com
security:
  - apiKey: []
tags:
  - name: 1. Auth
    description: Login and get user info
  - name: 2. Transactions
    description: List of latest transactions in your account
  - name: 3. Leads
    description: Fetch information about leads by _link/name/ICP_.
  - name: 4. Companies
    description: Fetch information about companies by link/name/ICP.
paths:
  /api/linkedin/companies/by_icp/get_count/:
    post:
      tags:
        - 4. Companies
      summary: Count companies by ICP
      description: Estimate the number of companies matching specific search criteria.
      operationId: countCompaniesByIcp
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                get_max_companies:
                  type: boolean
                  example: true
                headcounts:
                  type: array
                  items:
                    type: string
                    example: 1-10
                  example:
                    - 1-10
                industries:
                  type: array
                  items:
                    type: string
                    example: Media Production
                  example:
                    - Media Production
                locations:
                  type: array
                  items:
                    type: string
                    example: Ontario, Canada
                  example:
                    - Ontario, Canada
                num_of_followers:
                  type: array
                  items:
                    type: string
                    example: 1-50
                  example:
                    - 1-50
                revenues_range:
                  type: object
                  properties:
                    max:
                      type: number
                      example: 5
                    min:
                      type: number
                      example: 1
            examples:
              Count companies by ICP:
                value:
                  get_max_companies: true
                  headcounts:
                    - 1-10
                  industries:
                    - Media Production
                  locations:
                    - Ontario, Canada
                  num_of_followers:
                    - 1-50
                  revenues_range:
                    max: 5
                    min: 1
      responses:
        '200':
          description: '200'
          headers:
            Allow:
              schema:
                type: string
                example: POST, OPTIONS
            Content-Length:
              schema:
                type: string
                example: '32'
            Cross-Origin-Opener-Policy:
              schema:
                type: string
                example: same-origin
            Date:
              schema:
                type: string
                example: Mon, 02 Dec 2024 22:19:04 GMT
            Referrer-Policy:
              schema:
                type: string
                example: same-origin
            Server:
              schema:
                type: string
                example: WSGIServer/0.2 CPython/3.11.10
            Vary:
              schema:
                type: string
                example: Accept, Origin
            X-Content-Type-Options:
              schema:
                type: string
                example: nosniff
            X-Frame-Options:
              schema:
                type: string
                example: DENY
          content:
            application/json:
              schema:
                type: object
                properties:
                  amount:
                    type: number
                    example: -1
                  results_count:
                    type: number
                    example: 46
              examples:
                '200':
                  value:
                    amount: -1
                    results_count: 46
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: Use 'Token <api-key>' as the value

````